Hotspot Operators
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getHotspotOperatorList | GET | Get hotspot operators list |
| createHotspotOperator | POST | Create a new hotspot operator |
| deleteHotspotOperator | DELETE | Delete an existing hotspot operator |
| getHotspotOperatorDetail | GET | Get hotspot operator detail |
| modifyHotspotOperator | PATCH | Modify an existing hotspot operator |
getHotspotOperatorList
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators
Get hotspot operators list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name,note |
// omada_call_operation
{
"operationId": "getHotspotOperatorList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get hotspot operators list.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
createHotspotOperator
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators
Create a new hotspot operator
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Hotspot Operator
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Operator name should contain 1 to 128 ASCII characters. |
password | string | yes | Operator password should contain 1 to 128 ASCII characters. |
note | string | no | Operator note should contain 1 to 256 ASCII characters. |
operatorRoleType | integer | no | Operator role type should be a value as follows: 0: Administrator; 1: Viewer. |
lastSite | string | no | Last Site ID |
selectedSites | array<string> | yes | Selected site ID list should contain at least one site for each operator. |
// omada_call_operation
{
"operationId": "createHotspotOperator",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create a new hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
deleteHotspotOperator
DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}
Delete an existing hotspot operator
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Hotspot Operator ID |
// omada_call_operation
{
"operationId": "deleteHotspotOperator",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete an existing hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getHotspotOperatorDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}
Get hotspot operator detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Hotspot Operator ID |
// omada_call_operation
{
"operationId": "getHotspotOperatorDetail",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Get hotspot operator detail.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
modifyHotspotOperator
PATCH /openapi/v1/{omadacId}/sites/{siteId}/hotspot/operators/{id}
Modify an existing hotspot operator
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Hotspot Operator ID |
Request body — application/json (required) — schema Hotspot Operator
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Operator name should contain 1 to 128 ASCII characters. |
password | string | yes | Operator password should contain 1 to 128 ASCII characters. |
note | string | no | Operator note should contain 1 to 256 ASCII characters. |
operatorRoleType | integer | no | Operator role type should be a value as follows: 0: Administrator; 1: Viewer. |
lastSite | string | no | Last Site ID |
selectedSites | array<string> | yes | Selected site ID list should contain at least one site for each operator. |
// omada_call_operation
{
"operationId": "modifyHotspotOperator",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing hotspot operator.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.